Internal site. Jolli authentication required to view.
Skip to Content
API ReferenceMetrics & DebuggingGET /v0/pipelines/{pipeline_name}/events/{event_id}

Get Pipeline Event

GET/v0/pipelines/{pipeline_name}/events/{event_id}Metrics & Debugging

Try it

GET/v0/pipelines/{pipeline_name}/events/{event_id}
Authentication
Parameters

Get a specific pipeline monitor event.

The identifiers of the events can be retrieved via GET /v0/pipelines/\<pipeline>/events. The most recent approximately 720 (default) events are retained. This endpoint can return a 404 for an event that no longer exists due to a cleanup.

Authentication

  • JSON web token (JWT) or API keyBearer token

Parameters

Path parameters

NameTypeRequiredDescription
event_idstringYesPipeline monitor event identifier or `latest`
pipeline_namestringYesUnique pipeline name

Query parameters

NameTypeRequiredDescription
selectorPipelineMonitorEventFieldSelectorNoThe `selector` parameter limits which fields are returned. Limiting which fields is particularly handy for instance when frequently monitoring over low bandwidth connections while being only interested in status.

Response

200application/json
  • object
    Pipeline monitor event information which has a selected subset of optional fields. If an optional field is not selected (i.e., is `None`), it will not be serialized.
    • deployment_errorobject
    • deployment_has_errorbooleanrequired
    • deployment_resources_desired_statusstringrequired
    • deployment_resources_statusstringrequired
      Pipeline resources status. ```text /start (early start failed) ┌───────────────────┐ │ ▼ Stopped ◄────────── Stopping /start │ ▲ │ │ /stop?force=true │ │ OR: timeout (from Provisioning) ▼ │ OR: fatal runtime or resource error ⌛Provisioning ────────────│ OR: runtime status is Suspended │ │ │ │ ▼ │ Provisioned ─────────────┘ ``` ### Desired and actual status We use the desired state model to manage the lifecycle of a pipeline. In this model, the pipeline has two status attributes associated with it: the **desired** status, which represents what the user would like the pipeline to do, and the **current** status, which represents the actual (last observed) status of the pipeline. The pipeline runner service continuously monitors the desired status field to decide where to steer the pipeline towards. There are two desired statuses: - `Provisioned` (set by invoking `/start`) - `Stopped` (set by invoking `/stop?force=true`) The user can monitor the current status of the pipeline via the `GET /v0/pipelines/{name}` endpoint. In a typical scenario, the user first sets the desired status, e.g., by invoking the `/start` endpoint, and then polls the `GET /v0/pipelines/{name}` endpoint to monitor the actual status of the pipeline until its `deployment_resources_status` attribute changes to `Provisioned` indicating that the pipeline has been successfully provisioned, or `Stopped` with `deployment_error` being set.
    • deployment_resources_status_detailsobject
    • deployment_runtime_desired_statusobject
    • deployment_runtime_statusobject
    • deployment_runtime_status_detailsobject
    • event_idstring (uuid)required
      Pipeline monitor event identifier.
    • program_statusstringrequired
      Program compilation status.
    • recorded_atstring (date-time)required
    • storage_statusstringrequired
      Storage status. The storage status can only transition when the resources status is `Stopped`. ```text Cleared ───┐ ▲ │ /clear │ │ │ │ Clearing │ ▲ │ │ │ InUse ◄───┘ ```
    • storage_status_detailsobject
400application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
404application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
500application/json
  • object
    Information returned by REST API endpoints on error.
    • detailsobjectrequired
      Detailed error metadata. The contents of this field is determined by `error_code`.
    • error_codestringrequired
      Error code is a string that specifies this error type.
    • messagestringrequired
      Human-readable error message.
Request
curl -X GET 'https://api.example.com/v0/pipelines/{pipeline_name}/events/{event_id}?selector=<selector>' \ -H 'Authorization: Bearer YOUR_TOKEN'